Bug Hunting Session
Bug 92207 - EDITING Setting text background colour doesn't work in Calc
Summary: EDITING Setting text background colour doesn't work in Calc
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta3
Hardware: Other All
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:5.1.0 target:5.0.4
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-20 10:14 UTC by Katarina Behrens (CIB)
Modified: 2016-10-25 19:20 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Katarina Behrens (CIB) 2015-06-20 10:14:49 UTC
1. New or existing Calc document
2. Main menu -> Insert -> Text Box 

=> notice a new button to set text background colour appears in sidebar, character properties panel

3. Type something into the text box & select the text with mouse
4. Use sidebar button to change text background to some other colour 

=> nothing happens. 

It works in Draw and Impress, though
Comment 1 m.a.riosv 2015-06-20 14:33:33 UTC
Hi @Katarina,

reproducible.
Win7x64Ultimate

Version: 5.0.0.0.beta3 (x64) Build ID: 96345c15d8ab19c49014f055fe41ba8e1f421e5c

Version: 5.1.0.0.alpha1+ Build ID: d56b125f6c6c18ac40712cefc3cec06530750e15
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-13_07:08:43

Not with:
Version: 4.4.5.0.0+ Build ID: 5f02e2eb1214efdb4a09f92458838528d07acc6c
TinderBox: Win-x86@51-TDF, Branch:libreoffice-4-4, Time: 2015-06-09_20:59:39
Comment 2 GerardF 2015-10-09 09:37:19 UTC
It is like if drop down show "color" but is in reality "none", choose a color have no effect.
If I change "color" to "none" or "gradient" or other and set back to "color" then it works.

Not reproducible with Version: 5.1.0.0.alpha1+
Build ID: b3de73f32af6276a60f5678861c461631a75e743
TinderBox: Win-x86@39, Branch:master, Time: 2015-09-01_06:18:16
Locale: fr-FR (fr_FR)
After drawning of text box, background is by default to "none".
Comment 3 Maxim Monastirsky 2015-10-09 11:38:39 UTC
(In reply to GerardF from comment #2)
> It is like if drop down show "color" but is in reality "none", choose a
> color have no effect.
> If I change "color" to "none" or "gradient" or other and set back to "color"
> then it works.
> 
> Not reproducible with Version: 5.1.0.0.alpha1+
> Build ID: b3de73f32af6276a60f5678861c461631a75e743
> TinderBox: Win-x86@39, Branch:master, Time: 2015-09-01_06:18:16
> Locale: fr-FR (fr_FR)
> After drawning of text box, background is by default to "none".
This bug report is about the "Text background Color" button in the "Character" panel in Calc, not about the one in the "Area" panel.
Comment 4 GerardF 2015-10-09 12:17:54 UTC
Oops, sorry. I read diagonally...
Comment 5 raal 2015-10-27 10:52:12 UTC
(In reply to m.a.riosv from comment #1)
> 
> Not with:
> Version: 4.4.5.0.0+ Build ID: 5f02e2eb1214efdb4a09f92458838528d07acc6c
> TinderBox: Win-x86@51-TDF, Branch:libreoffice-4-4, Time: 2015-06-09_20:59:39

Setting as regression
Comment 6 Katarina Behrens (CIB) 2015-10-27 11:01:34 UTC
> > Not with:
> > Version: 4.4.5.0.0+ Build ID: 5f02e2eb1214efdb4a09f92458838528d07acc6c
> > TinderBox: Win-x86@51-TDF, Branch:libreoffice-4-4, Time: 2015-06-09_20:59:39
> 
> Setting as regression

Well, there is no possibility to change text background colour in 4.4.X in the first place (it's a 5.0 feature), so how can this be a regression?
Comment 7 Maxim Monastirsky 2015-10-27 12:04:47 UTC
Should be trivial to fix, I guess.
Comment 8 Commit Notification 2015-10-27 12:54:18 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=63e1369529838728d2878afc03bf9bb9cedb59d5

tdf#92207 sc: Make the text background color button work

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Maxim Monastirsky 2015-10-27 12:55:37 UTC
Did the same for Writer in Bug 64027.
Comment 10 m.a.riosv 2015-10-27 14:52:35 UTC
Apologies, if my comment led to an error, I can not remember what I meant by "Not in", usually I put "Not reproducible" when is the case.
Comment 11 Commit Notification 2015-11-02 21:14:27 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8fa03e0fd1cf73387634ec4945cf842d2d75b193&h=libreoffice-5-0

tdf#92207 sc: Make the text background color button work

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.